---
search:
  tags:
    - servers
    - GET
seo:
  description: >-
    List pgbackrest backups on a server. Reference for the GET
    /api/v1/servers/{id}/backups endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: List backups on a server
  badge: GET
title: List backups on a server
type: openapi-operation
---
List pgbackrest backups on a server.

`GET /api/v1/servers/{id}/backups`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "captured_at": "2019-08-24T14:15:22Z",
  "error": "string",
  "stanzas": [
    {
      "backups": [
        {
          "annotations": {
            "property1": "string",
            "property2": "string"
          },
          "archive_stop": "string",
          "checksum_errors": true,
          "database_id": 0,
          "database_size_bytes": 0,
          "label": "string",
          "older": true,
          "pg_version": "string",
          "prior_checksum_errors": true,
          "repo": 0,
          "size_bytes": 0,
          "start_time": "string",
          "stop_time": "string",
          "type": "string"
        }
      ],
      "coverage": {
        "assumes_archiving": true,
        "earliest": "string",
        "end": "string",
        "now": "string",
        "repos": [
          {
            "backups": [
              {
                "checksum_errors": true,
                "label": "string",
                "stop_time": "string"
              }
            ],
            "current_tli": 0,
            "database_id": 0,
            "earliest": "string",
            "grant_fingerprint": "string",
            "kind": "local",
            "older": true,
            "pg_version": "string",
            "repo": 0,
            "wal_max": "string",
            "wal_min": "string"
          }
        ]
      },
      "database_id": 0,
      "name": "string",
      "pg_version": "string",
      "status": "ok",
      "wal_max": "string",
      "wal_min": "string",
      "wal_ranges": [
        {
          "database_id": 0,
          "max": "string",
          "min": "string",
          "repo": 0
        }
      ]
    }
  ],
  "status": "ok"
}
```
